Method: projects.locations.instances.mirrors.list

Gets details of multiple mirrors under a given instance.

HTTP request

GET https://lustre.googleapis.com/v1/{parent=projects/*/locations/*/instances/*}/mirrors

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Parent instance resource where the mirrors will be listed, in the format: projects/{project}/locations/{location}/instances/{instance}

Query parameters

Parameters
pageSize

integer

Optional. Requested page size. The server might return fewer items than requested. If unspecified, the default page size is 10. The maximum value is 1000.

pageToken

string

Optional. A page token, received from a previous mirrors.list call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to mirrors.list must match the call that provided the page token.

orderBy

string

Optional. Desired order of results.

filter

string

Optional. Filtering results.

Request body

The request body must be empty.

Response body

Response for mirrors.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "mirrors": [
    {
      object (Mirror)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
mirrors[]

object (Mirror)

List of mirrors on the instance.

nextPageToken

string

A token identifying a page of results the server should return.

unreachable[]

string

Unordered list. Locations that could not be reached.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • lustre.mirrors.list

For more information, see the IAM documentation.